import Biome_Manager from "../../../Biome/Biome_Manager";
import Film_Manager from "../../../Film/Film_Manager";
import Form_Island_Manager from "../../Managers/Form_Island_Manager";
export const dialog_mellino = {
    name: "Mellino",
    texture: "textures/ui/dialog/quadruped_mellino",
    messages: ["Hello {NAME}, I am Mellino. \nHow can I help you?"],
    buttons: [
        {
            text: "§8Teleport",
            async callback(player, entity) {
                Form_Island_Manager.load(player);
            },
        },
        {
            text: "§8Cinematic",
            async callback(player, entity) {
                const area_ID = Biome_Manager.get_Area_ID(player.location);
                const film_ID = Biome_Manager.get(area_ID).film_ID;
                Film_Manager.play(player, film_ID, 0);
            },
        },
    ],
};
